module AmazonS3IndexProxy
  class ApplicationController < ActionController::Base
    def index
      render text: index_file
    end

    private

    def index_file
      AmazonS3IndexProxy::Proxy.new(index_file_url).call
    end

    def index_file_url
      AmazonS3IndexProxy.index_file_url || raise_configuration_error(:index_file_url)
    end

    def raise_configuration_error(symbol)
      fail(AmazonS3IndexProxy::ConfigurationMissing, "You need to specify the :#{symbol}")
    end
  end
end
